Loading...
Searching...
No Matches
_snd_ump_msg_midi1_pitchbend Struct Reference

`#include <ump_msg.h>`

## Data Fields

uint8_t | type:4
uint8_t | group:4
uint8_t | status:4
uint8_t | channel:4
uint8_t | data_lsb
uint8_t | data_msb

## Detailed Description

MIDI 1.0 Pitch Bend (32bit)

## Field Documentation

## channel

uint8_t _snd_ump_msg_midi1_pitchbend::channel

Channel

## data_lsb

uint8_t _snd_ump_msg_midi1_pitchbend::data_lsb

LSB of pitchbend (7bit)

## data_msb

uint8_t _snd_ump_msg_midi1_pitchbend::data_msb

MSB of pitchbend (7bit)

## group

uint8_t _snd_ump_msg_midi1_pitchbend::group

UMP Group

## status

uint8_t _snd_ump_msg_midi1_pitchbend::status

Status

## type

uint8_t _snd_ump_msg_midi1_pitchbend::type

UMP packet type

The documentation for this struct was generated from the following file:

- /build/alsa-lib-zhIrRC/alsa-lib-1.2.14/include/ump_msg.h